Skip to main content
GET
cURL
GET /currencies/token/price is deprecated as of October 30, 2026: its rate limit is reduced in stages from December 14, 2026 until it is retired on January 28, 2027. Use GET /currencies/token/price/v2, which returns price as a decimal string. See the migration guide for the timeline and how to upgrade.

Headers

x-api-key
string

Optional API key for authentication and higher rate limits.

Query Parameters

address
string
required

Token address to get price for

chainId
number
required

Chain ID of the token

Response

Default Response

price
number

Token price in USD

deprecation
object